import pandas as pd
import numpy as np

# 创建一个示例DataFrame
df = pd.DataFrame({
    'A': [1, np.nan, 3],
    'B': [np.nan, np.nan, np.nan],
    'C': [2, 2, np.nan],
    'D': [np.nan, 3, 3]
})

# 指定你想要检查的列
columns_to_check = ['A', 'B', 'C']

# 检查指定列中非全为空的列
non_empty_columns = df[columns_to_check].apply(lambda x: x.notnull().any(), axis=0)

# 获取非全为空的列名
non_empty_column_names = non_empty_columns[non_empty_columns].index.tolist()

print("非全为空的列名:", non_empty_column_names)
